/* Filename: rs232.h
   Purpose:  Serial Communication Interface
   Compiler: wxDevCpp Version 7.3.1.3 (MINGW32)
   Project:  OutGauge Bus
   Original Author:   Vladimir Kadlec http://www.fi.muni.cz/~xkadlec
   
   Revision: Serial Interface and Packet Update revisions  - Pete Willard
   Version: LFS.Z28.01
   
   RS232_init       Supply the COM Port # and set up communications
   RS232_display    SEND Serial Data to rcv bus.
   RS232_clear      SEND shutdown command to all listeners

*/


/*

ORIGINAL: Gear Indicator is free software; you can redistribute it and/or 
modify it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gear Indicator is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gear Indicator; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __RS232_H__
#define __RS232_H__

#include "outgauge.h"
#include "config.h"

int RS232_init (int com, int speed);
int RS232_display (Config *conf, OutGaugePack *packet);
int RS232_clear (Config *conf);

#endif
